## Penguidom Domotika Client for Linux

Penguidom is a twisted daemon acting as a stand-alone client for the Domotika 
home automation system.

It can operate both as a stand-alone controller or as a client in the Domotika network,
and it's developed to run on any linux machine that can run a full OS expecially
little machines like Raspberry PI or Beaglebone black and similar.

It supports a plugin system to operate as an expansion or controller for various 
devices like Paradox Alarm systems or drive just some I/O expansion boards for RPi
and Beaglebone like my [Osso](https://git.nexlab.net/nexlab/Osso) I/O expansion board.

Penguidom is written in python 2.x on top of the well known twisted framework, 
and it uses few external libraries.

Other than twisted and newov you will also need to install:

 * DMLib : https://git.nexlab.net/domotika/dmlib
 * python-nexlibs: https://git.nexlab.net/nexlab/python-nexlibs
 * socketjs-twisted: https://github.com/DesertBus/sockjs-twisted
 * corepost: https://github.com/nextime/corepost

### Paradox alarm panels:

At the moment only MG5050 panel is fully supported as it's the one i own.

To make other panels works you need to compile the panel registers file in 
penguidom/plugins/paradox/panels/ like the MG5050.py one.

To make this easier, you can "sniff" the protocol communication between the panel and
a client side software like babyware or winload by installing them inside a virtual machine
( i use virtualbox for that ) and then attach the serial over TCP using the included serial proxy
in the paradox module.


## WARNING: Penguidom isn't yet ready, i will remove this warning as soon as it will be usable.
